geos::geom::util::CoordinateOperation Class Referenceabstract

`#include <CoordinateOperation.h>`

Inheritance diagram for geos::geom::util::CoordinateOperation:

## Public Member Functions

std::unique_ptr< Geometry > | edit (const Geometry *geometry, const GeometryFactory *factory) override
virtual std::unique_ptr< CoordinateSequence > | edit (const CoordinateSequence *coordinates, const Geometry *geometry)=0

## Detailed Description

A GeometryEditorOperation which modifies the coordinate list of a Geometry. Operates on Geometry subclasses which contains a single coordinate list.

## Member Function Documentation

## edit() [1/2]

virtual std::unique_ptr< CoordinateSequence > geos::geom::util::CoordinateOperation::edit | ( | const CoordinateSequence * | coordinates,
|  | const Geometry * | geometry )

pure virtual

Edits the array of Coordinate from a Geometry.

Parameters

  coordinates | the coordinate array to operate on
  geometry | the geometry containing the coordinate list

Returns
  an edited coordinate array (which may be the same as the input)

## edit() [2/2]

std::unique_ptr< Geometry > geos::geom::util::CoordinateOperation::edit | ( | const Geometry * | geometry,
|  | const GeometryFactory * | factory )

override virtual

Return a newly created geometry, ownership to caller

Implements geos::geom::util::GeometryEditorOperation.

The documentation for this class was generated from the following file:

- CoordinateOperation.h